scala.runtime

# ScalaRunTime

#### object ScalaRunTime

The object ScalaRunTime provides support methods required by the scala runtime. All these methods should be considered outside the API and subject to change or removal without notice.

Source
  ScalaRunTime.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScalaRunTime
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def _equals(x: Product, y: Any): Boolean

5. #### def _hashCode(x: Product): Int

6. #### def _toString(x: Product): String

7. #### def anyValClass[T <: AnyVal](value: T)(implicit arg0: ClassTag[T]): Class[T]

   Return the class object representing an unboxed value type, e.g., classOf[int], not classOf[java.lang.Integer].

   Return the class object representing an unboxed value type, e.g., classOf[int], not classOf[java.lang.Integer]. The compiler rewrites expressions like 5.getClass to come here.

8. #### def arrayClass(clazz: Class[_]): Class[_]

   Return the class object representing an array with element class `clazz`.

9. #### def arrayElementClass(schematic: Any): Class[_]

   Return the class object representing elements in arrays described by a given schematic.

10. #### def array_apply(xs: AnyRef, idx: Int): Any

    Retrieve generic array element

11. #### def array_clone(xs: AnyRef): AnyRef

12. #### def array_length(xs: AnyRef): Int

    Get generic array length

13. #### def array_update(xs: AnyRef, idx: Int, value: Any): Unit

    update generic array element

14. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

15. #### def box[T](clazz: Class[T]): Class[_]

16. #### def checkInitialized[T <: AnyRef](x: T): T

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### def drop[Repr](coll: Repr, num: Int)(implicit traversable: IsTraversableLike[Repr]): Repr

19. #### def ensureAccessible(m: Method): Method

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hash(x: Unit): Int

25. #### def hash(x: Boolean): Int

26. #### def hash(x: Char): Int

27. #### def hash(x: Byte): Int

28. #### def hash(x: Short): Int

29. #### def hash(x: Int): Int

30. #### def hash(x: Number): Int

31. #### def hash(lv: Long): Int

32. #### def hash(fv: Float): Int

33. #### def hash(dv: Double): Int

34. #### def hash(x: Any): Int

35. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

36. #### def inlinedEquals(x: AnyRef, y: AnyRef): Boolean

    Fast path equality method for inlining; used when -optimise is set.

    Fast path equality method for inlining; used when -optimise is set.

    Annotations
      @inline()

37. #### def isAnyVal(x: Any): Boolean

38. #### def isArray(x: Any, atLevel: Int = 1): Boolean

39. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

40. #### def isTuple(x: Any): Boolean

41. #### def isValueClass(clazz: Class[_]): Boolean

42. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

43. #### final def notify(): Unit

    Definition Classes
      AnyRef

44. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

45. #### def replStringOf(arg: Any, maxElements: Int): String

    stringOf formatted for use in a repl result.

46. #### def sameElements(xs1: collection.Seq[Any], xs2: collection.Seq[Any]): Boolean

    A helper method for constructing case class equality methods, because existential types get in the way of a clean outcome and it's performing a series of Any/Any equals comparisons anyway.

    A helper method for constructing case class equality methods, because existential types get in the way of a clean outcome and it's performing a series of Any/Any equals comparisons anyway. See ticket #2867 for specifics.

47. #### def stringOf(arg: Any, maxElements: Int): String

48. #### def stringOf(arg: Any): String

    Given any Scala value, convert it to a String.

    Given any Scala value, convert it to a String.

    The primary motivation for this method is to provide a means for correctly obtaining a String representation of a value, while avoiding the pitfalls of naïvely calling toString on said value. In particular, it addresses the fact that (a) toString cannot be called on null and (b) depending on the apparent type of an array, toString may or may not print it in a human-readable form.

    arg

      the value to stringify

    returns

      a string representation of arg.

49. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

50. #### def toArray[T](xs: collection.Seq[T]): Array[AnyRef]

51. #### def toObjectArray(src: AnyRef): Array[AnyRef]

    Convert an array to an object array.

    Convert an array to an object array. Needed to deal with vararg arguments of primitive types that are passed to a generic Java vararg parameter T ...

52. #### def toString(): String

    Definition Classes
      AnyRef → Any

53. #### def typedProductIterator[T](x: Product): Iterator[T]

    A helper for case classes.

54. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped